<%@ Page Language="C#" AutoEventWireup="true" Inherits="SuperWeibo.Page._Mobile_Personal" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
<title><% =browse.cLoginName %>的私事</title>
<% =Me.Css() %>
</head>
<body>

<SuperWeibo:header_blog id="header_blog" runat="server" />

<div class="blog_menu">
	<% =browse.cLoginName %> <% =Z.C("私事") %>
	<div class="blog_menu_right2" onclick="window.location='Welcome.aspx';"></div>
</div>

<div style="clear:both;height:55px;"></div>
<div id="msg_pad" style="clear:both;width:100%;height:0px;"></div>

<% =PageNavigate %>

<div id="scroll_pad" style="min-height:600px;">
<% =PageBuffer %>
</div>

<div style="clear:both;height:45px;"></div>

<div class="nextpage">
	<table width="100%" cellpadding="0" cellspacing="0" border="0" bordercolor="#CCCCCC" style="border-collapse:collapse;text-align:left;">
		<tr id="tr_0" style="display:;">
			<td style="font-size:16px;color:#FFFFFF;" valign="top" onclick="SayResize(0)">
				<% =Z.C("点击记录个人事务...") %>
			</td>
		</tr>
		<tr id="tr_3" style="display:none;">
			<td style="font-size:16px;color:#FFFFFF;" valign="top">
				<% =DateRun.ToString("yyyy-MM-dd") %>
			</td>
		</tr>
		<tr id="tr_1" style="display:none;">
			<td style="padding-bottom:1px;">
				<textarea id="cContent" name="cContent" cols="78" rows="3" class="say_text" style="width:280px;height:60px;" title="" autocomplete="off"></textarea>
			</td>
		</tr>
		<tr id="tr_1" style="display:none;">
			<td style="padding-bottom:1px;">
				<style>
				#popupspk { line-height:15px; } 
				#popupspk * { font-size:12px;color:#FFFFFF; } 
				#popupspk select { font-size:12px;color:#000000; } 
				#popupspk option { font-size:12px;color:#000000; } 
				#information_echo { font-size:12px;color:#FFFFFF; } 
				#predating { font-size:12px;color:#FFFFFF; } 
				</style>
				<div id="popupspk">
				<div style="clear:both;font-size:12px;height:40px;padding-top:2px;">
					<% =Common.HMS2("create_year", DateTime.Now.Year, DateTime.Now.Year + 5, DateTime.Now.Year) %>年<% =Common.HMS2("create_month", 1, 12, DateTime.Now.Month) %>月<% =Common.HMS2("create_day", 1, 31, DateTime.Now.Day) %>日<% =Common.HMS2("create_hour", 0, 23, DateTime.Now.Hour) %>点<% =Common.HMS2("create_minute", 0, 59, DateTime.Now.Minute) %>分  
				</div>
				<div style="clear:both;height:28px;">
				   <div class="radio1" id="loop_style_radio" name="loop_style_radio" value="0" onclick="SchaduleAction(0);RadioOne(this);">仅1次</div>
				   <div class="radio2" id="loop_style_radio" name="loop_style_radio" value="1" onclick="SchaduleAction(1);RadioOne(this);">1次/天</div>  
				   <div class="radio2" id="loop_style_radio" name="loop_style_radio" value="2" onclick="SchaduleAction(2);RadioOne(this);">1次/周</div> 
				   <div class="radio2" id="loop_style_radio" name="loop_style_radio" value="3" onclick="SchaduleAction(3);RadioOne(this);">1次/月</div>  
				   <div class="radio2" id="loop_style_radio" name="loop_style_radio" value="4" onclick="SchaduleAction(4);RadioOne(this);">1次/年</div>  
				   <input type="hidden" id="loop_style" name="loop_style" value="0">
				</div>
				</div>
			</td>
		</tr>
		<tr id="tr_2" style="display:none;">
			<td>
				<input type="hidden" id="from" name="from" value="0">
				<input type="hidden" id="idstyle" name="idstyle" value="3">
				<img src="/Images/submit.gif" onclick="Magic2Submit()">
				<img src="/Images/cancel.gif" onclick="SayResize(1)">
			</td>
		</tr>
	</table>
</div>

<script language="javascript">

function IconAction() {}

function SayResize(cmd)
{
	if(cmd==0) {
		$("div.nextpage").css("height", "235");
		$("tr#tr_0").css("display", "none");
		$("tr#tr_1").css("display", "");
		$("tr#tr_2").css("display", "");
		$("tr#tr_3").css("display", "");
	}
	else {
		$("div.nextpage").css("height", "29");
		$("tr#tr_0").css("display", "");
		$("tr#tr_1").css("display", "none");
		$("tr#tr_2").css("display", "none");
		$("tr#tr_3").css("display", "none");
	}
}

function imageResize2(obj)
{
	if(obj.width > 250) 
	{
		obj.width = 250;
	}
}

<% =PageDate%>

var last_x = 0;
var last_y = 0;
var offset_x = 0;
var offset_y = 0;

//定义touchstart事件
document.getElementById("scroll_pad").addEventListener("touchstart", function(ev) {

	var obj = ev.srcElement ? ev.srcElement : ev.target;
	if(obj.tagName == "IMG") return; 

	ev.preventDefault();//一定要阻止默认事件
	var x = ev.touches[0].pageX;//获得手指触摸点的X坐标
	var y = ev.touches[0].pageY;//获得手指触摸点的Y坐标
	last_x = x;
	last_y = y;
}, false);

//定义touchmove事件
document.getElementById("scroll_pad").addEventListener("touchmove", function(ev) {

	var obj = ev.srcElement ? ev.srcElement : ev.target;
	if(obj.tagName == "IMG") return; 

	ev.preventDefault();
	var x = ev.touches[0].pageX;
	var y = ev.touches[0].pageY;
}, false);

//touchend  处理手势
document.getElementById("scroll_pad").addEventListener("touchend", function(ev) {

	var obj = ev.srcElement ? ev.srcElement : ev.target;
	if(obj.tagName == "IMG") return; 

	var x = ev.changedTouches[0].pageX;
	var y = ev.changedTouches[0].pageY;
		
	offset_x = Math.abs(x - last_x); 
	offset_y = Math.abs(y - last_y); 
	
	if(offset_x > offset_y  && offset_x > 5) {

		if(x > last_x) window.location = "/Mobile/Personal.aspx?date=" + plast;
		else window.location = "/Mobile/Personal.aspx?date=" + pnext;
		
		last_x = x;
		last_y = y;
		return;
	}
	
	if(offset_y > 10) {
		document.body.scrollTop = document.body.scrollTop + ((y > last_y) ? 0-offset_y : offset_y);
		last_x = x;
		last_y = y;
		return
	}

	last_x = x;
	last_y = y;
}, false);


function FileShow(obj,id)
{
	window.location = "/Mobile/Include/FileShow.aspx?id=" + id;
}
function VideoShow(obj) { alert("只有用电脑才能查看视频！"); }

setInterval("GetMessages_Mobile()", 2000);

</script>
</body>
</html>
